/*	main.h

	Copyright 2008 Fred Cooke

	This file is part of the FreeEMS project.

	FreeEMS software is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	FreeEMS software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with any FreeEMS software.  If not, see <http://www.gnu.org/licenses/>.

	We ask that if you make any changes to this file you send them upstream to us at admin@diyefi.org

	Thank you for choosing FreeEMS to run your engine! */

#include "freeems.h"
#include "memory.h"
#include "interrupts.h"

/* Computer Operating Properly reset sequence MC9S12XDP512V2.PDF Section 2.4.1.5 */
#define COP_RESET1 0x55
#define COP_RESET2 0xAA

/* Functions defined in other files */
/* although "extern" is implicit use it here anyway for clarity. */
extern void init(void);
extern void _start(void);

/* Functions defined in main.c */
/*void inject(int cyl) PPAGE_EB; *//* TODO try it paged after trying it normally. */
void inject(int cyl);
void sleep(int ms); /* TODO try it paged after trying it normally. */
void sleep2(void);

/* Temporary "Injector" functions for demo purposes. */
void Injector1(void);
void Injector2(void);
void Injector3(void);
void Injector4(void);
void Injector5(void);
void Injector6(void);
